.ipod-container {
    position:fixed;
    top:40px;
    right:50px;
    width:280px;
    height:500px;
    z-index:50;
    animation:ipodFloat 4s ease-in-out infinite;
}
.album {
    position:absolute;
    top:30px;
    left:35px;
    width:220px;
    height:170px;
    object-fit:cover;
    filter:blur(15px) grayscale(.25) contrast(.8) brightness(.8);
    border-radius:8px;
    z-index:1;
    transition:.5s ease;
}
.album.playing {
    filter:
    blur(1.8px)
    brightness(1.1);
}
.ipod {
    position:absolute;
    top:0;
    left:0;
    width:280px;
    height:auto;
    z-index:3;
    pointer-events:none;
    user-select:none;
}
.ipod-screen {
    position:absolute;
    top:95px;
    left:75px;
    width:130px;
    background:rgba(255,255,255,.35);
    border-radius:8px;
    padding:4px;
    text-align:center;
    z-index:4;
    color:#fff3ef;
    font-family:"CuteFont", serif;
    -webkit-text-stroke: .3px #4a2c22;
    text-shadow: 0 1px 3px rgba(74,44,34,.8);
}

@keyframes ipodFloat {
    0%{
        transform:translateY(0px);
    }
    50%{
        transform:translateY(8px);
    }
    100%{
        transform:translateY(0px);
    }
}


.song-title {
    font-size:25px;
    white-space:nowrap;
    overflow:hidden;
    text-overflow:ellipsis;
}
.artist {
    margin-top:-5px;
    margin-bottom:-10px;
    font-size:20px;
    font-style: italic;
    opacity:.8;
}
.progress {
    width:120px;
    height:5px;
    margin:15px auto 5px;
    background:#e8c7d0;
    border-radius:10px;
    overflow:hidden;
}
.progress-fill {
    width:0%;
    height:100%;
    background:#b65d78;
    transition:.2s linear;
}
.time {
    display:flex;
    justify-content:space-between;
    font-size:11px;
    padding:0 5px;
}


.cd-stack{
    position:absolute;
    left:40px;
    top:35px;
    display:flex;
    flex-direction:column;
    align-items:center;
    gap:35px;
    z-index:5;
}
.cd-hover{
    transition:.4s ease;
}
.cd-hover:hover{
    transform:scale(1.15) translateY(-5px);
}
.cd{
    width:180px;
    height:160px;
    object-fit:contain;
    animation:spinCD 12s linear infinite;
    filter:drop-shadow(0 5px 8px rgba(0,0,0,.25));
    cursor:pointer;
}
.cd-hover:hover .cd{
    filter:drop-shadow(0 15px 20px rgba(0,0,0,.35));
}
.cd:nth-child(2){
    animation-duration:15s;
}
.cd:nth-child(3){
    animation-duration:18s;
}

@keyframes spinCD{
    from{
        transform:rotate(0deg);
    }
    to{
        transform:rotate(360deg);
    }
}



.music-desktop{
    position:absolute;
    top:40px;
    left:276px;
    width:850px;
    height:530px;
    background:rgba(255,255,255,.75);
    border:2px solid #d89b9b;
    border-radius:25px;
    display:flex;
    flex-direction:row;
    padding:20px;
    gap:25px;
    box-sizing:border-box;
    box-shadow:
    0 8px 20px rgba(0,0,0,.2);
    overflow:hidden;
}
.music-list{
    width:530px;
    height:100%;
    left:15px;
    display:grid;
    grid-template-columns:repeat(2,1fr);
    grid-auto-rows:75px;
    column-gap:12px;
    row-gap:10px;
    overflow-y:auto;
    overflow-x:hidden;
    padding-right:10px;
    padding-left:10px;
    align-content:start;
    margin-top:2px;
}

.song-card{
    width:100%;
    height:75px;
    display:flex;
    align-items:center;
    background:#ffe9e5;
    border-radius:12px;
    padding:6px;
    box-sizing:border-box;
    border:1px solid #e8aaaa;
    cursor:pointer;
    transition:.3s ease;
}
.song-card:hover{
    transform:scale(1.05);
    background:#ffd6d6;
    box-shadow:
    0 8px 15px rgba(0,0,0,.2);
}
.song-card img{
    width:55px;
    height:55px;
    object-fit:cover;
    border-radius:8px;
}
.song-info{
    margin-left:10px;
    font-family:"Pixelify", serif;
    font-size:10px;
    color:#432b1f;
}
.song-info h3{
    margin:0;
    font-size:14px;
}
.song-info p{
    margin:2px 0;
    font-family:"Pixelify";
}
.song-info span{
    display:block;
    font-size:10px;
}


.music-divider{
    width:350px;
    height:200px;
    object-fit:contain;
    transform:rotate(90deg);
    position:absolute;
    left:430px;
    top:150px;
    z-index:2;
}


.music-buttons{
    width:200px;
    display:flex;
    flex-direction:column;
    gap:5px;
    justify-content:flex-start;
    align-items:center;
    padding-top:0px;
    margin-left:auto;
}
.lang-btn{
    width:180px;
    height:auto;
    display:block;
    cursor:pointer;
    transition:.3s ease;
    object-fit:contain;
}
.lang-btn:hover{
    transform:scale(1.1) translateX(-5px);
}
.lang-btn.active{
    transform:scale(1.12);
    filter:
    drop-shadow(0 5px 8px rgba(0,0,0,.3));
}


#youtube-player{
    position:absolute;
    width:1px;
    height:1px;
    left:-9999px;
    opacity:0;
    pointer-events:none;
}


.circle-return{
    position:absolute;
    right:365px;
    width:80px;
    height:80px;
    top:15px;
    z-index:20;
    transition:.3s ease;
}
.circle-pause{
    position:absolute;
    top:380px;
    left:110px;
    width:60px;
    height:60px;
    z-index:20;
    background:none;
    border:none;
    padding:0;
    cursor:pointer;
    transition:.3s ease;
}
.circle-return img,
.circle-pause img{
    width:100%;
    height:100%;
    object-fit:contain;
}
.circle-return:hover,
.circle-pause:hover{
    transform:scale(1.12) rotate(5deg);
}



.bottom-flowers{
    position:fixed;
    bottom:0;
    left:0;
    width:100%;
    height:45px;
    background-image:url("https://pixelsafari.neocities.org/dividers/more/flowers3.gif");
    background-repeat:repeat-x;
    background-position:bottom left;
    background-size:auto 45px;
    z-index:100;
    pointer-events:none;
}
